package com.gyee.generation.util.realtimesource.timeseries;


import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author songwb<songwb@aliyun.com>
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TsPointData {

    private String tagName;
    private GeneralTsData tsData;

    public TsDataType findDataType() {
        if (tsData.getDoubleValue().isPresent())
            return TsDataType.DOUBLE;
        else if (tsData.getBooleanValue().isPresent())
            return TsDataType.BOOLEAN;
        else if (tsData.getLongValue().isPresent())
            return TsDataType.LONG;
        else if (tsData.getStringValue().isPresent())
            return TsDataType.STRING;
        else if (tsData.getBlobValue().isPresent())
            return TsDataType.BLOB;
        else if (tsData.getCoordinateValue().isPresent())
            return TsDataType.COORDINATE;

        return TsDataType.DOUBLE;
    }
}

